/* libdvipgm.h */

/************************************************************************

  Part of the dvipgm distribution

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as
  published by the Free Software Foundation, either version 3 of the
  License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this program. If not, see
  <http://www.gnu.org/licenses/>.

  Copyright (C) 2002-2015 Jan-Åke Larsson

************************************************************************/

/* This program translates TeX's DVI-Code into Portable Network Graphics. */

#ifndef LIBDVIPGM_H
#define LIBDVIPGM_H
extern int dvipgm_height;

extern void dvipgm_init();
extern void dvipgm_destroy_image();
extern void dvipgm_set_dpi(int val);
extern void dvipgm_set_page(int n);
extern void dvipgm_set_tight();
extern void dvipgm_set_kpathsea();
extern void dvipgm_set_psfontmap();
extern void dvipgm_parse_options(int argc, char ** argv);
extern unsigned char * dvipgm_process_file(char * name);
extern void dvipgm_close();

#endif
